Get a list of Octopus Server Nodes
GET /api
Lists all of the Octopus Server Nodes participating in the current Octopus Server cluster.
Query Parameters
idsarray of string
List of IDs.partialNamestring
A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested list of Octopus Server Nodes
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectIdstring
Gets or sets a unique identifier for this resource.IsInMaintenanceModebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MaxConcurrentTasksintegerNamestring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Id": "string",
"IsInMaintenanceMode": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MaxConcurrentTasks": 0,
"Name": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Get all Octopus Server Nodes
GET /api
Lists the name and ID of all Octopus Server nodes
Response
200 — The requested list of Octopus Server Nodes
Idstring
Gets or sets a unique identifier for this resource.IsInMaintenanceModebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MaxConcurrentTasksintegerNamestring
Example Response
[
{
"Id": "string",
"IsInMaintenanceMode": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MaxConcurrentTasks": 0,
"Name": "string"
}
]Ping an octopus server node
GET /api
Returns HTTP ImATeapot (418) when the Octopus Server node is draining or offline, otherwise HTTP OK (200). Always returns the node information in the body.
Response
200 — Contains information about the octopus server node
Idstring
Gets or sets a unique identifier for this resource.IsInMaintenanceModebooleanIsOfflinebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSeenstring
Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MaxConcurrentTasksintegerNamestringVersionstring
Error Responses
418— Indicates that the node is draining or offline
Example Response
{
"Id": "string",
"IsInMaintenanceMode": true,
"IsOffline": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSeen": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MaxConcurrentTasks": 0,
"Name": "string",
"Version": "string"
}Return all octopus server nodes in the cluster including their status information
GET /api
Response
200 — The Octopus Server Nodes Summary
LinksobjectNodesarray of objectIdstring
Gets or sets a unique identifier for this resource.IsInMaintenanceModebooleanIsOfflinebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastSeenstring
Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MaxConcurrentTasksintegerMaxSqlConnectionPoolSizeintegerNamestringRecommendedMaxSqlConnectionPoolSizeintegerRunningTaskCountintegerVersionstring
Example Response
{
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Nodes": [
{
"Id": "string",
"IsInMaintenanceMode": true,
"IsOffline": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastSeen": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MaxConcurrentTasks": 0,
"MaxSqlConnectionPoolSize": 0,
"Name": "string",
"RecommendedMaxSqlConnectionPoolSize": 0,
"RunningTaskCount": 0,
"Version": "string"
}
]
}Get an Octopus Server Node by ID
GET /api
Path Parameters
idstring (required)
ID of the OctopusServerNode to load.
Response
200 — The requested Octopus Server Node
Idstring
Gets or sets a unique identifier for this resource.IsInMaintenanceModebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MaxConcurrentTasksintegerNamestring
Example Response
{
"Id": "string",
"IsInMaintenanceMode": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MaxConcurrentTasks": 0,
"Name": "string"
}Modify an existing OctopusServerNodeResource by ID
PUT /api
Modifies an existing Octopus Server node.
Path Parameters
idstring (required)
ID of the OctopusServerNodeResource to modify.
Request Body
Idstring (required)
ID of the OctopusServerNodeResource to modify.IsInMaintenanceModeboolean
The updated maintenance mode of the OctopusServerNodeResource to modify.MaxConcurrentTasksinteger
The updated max concurrent tasks value of the OctopusServerNodeResource to modify.
Response
200 — Confirmation that the Octopus Server Node was modified, containing the new Node
Idstring
Gets or sets a unique identifier for this resource.IsInMaintenanceModebooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MaxConcurrentTasksintegerNamestring
Example Request
{
"Id": "string",
"IsInMaintenanceMode": true,
"MaxConcurrentTasks": 0
}Example Response
{
"Id": "string",
"IsInMaintenanceMode": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MaxConcurrentTasks": 0,
"Name": "string"
}Delete an existing Octopus Server Node
DELETE /api
Path Parameters
idstring (required)
ID of the Octopus Server Node to delete.
Response
200 — Confirmation that the Octopus Server Node was deleted
Example Response
{}Return a count of the running tasks on an octopus server node
GET /api
Path Parameters
idstring (required)
ID of the OctopusServerNode to load details.
Response
200 — Details about the requested Octopus Server Node
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.RunningTasksinteger
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"RunningTasks": 0
}